CON                         
  _clkmode    = xtal1 + pll16x                             ' Set chip to run at 16 times the installed crystal
  _xinfreq    = 5_000_000                                  ' Define the installed crystal
 
  VideoPins   = 0                                         ' PINs where Video interface is installed
  VideoCls    = 0                                          ' Video driver clear screen code

  CR          = 13                                         ' ASCII <CR>
  LF          = 10                                         ' ASCII <LF>                   

OBJ           
    term: "TV_Text_Paul"                                        ' Declare Video Display object 


PUB Start 

  term.Start(VideoPins)                                    ' Instantiates Video Display
  term.Out(VideoCls)                                       ' Clear Video Display
  Main

Pub Main

  repeat 
    SetXY(0,0)
    term.str(string(" SID - Propeller Broadcast Test", CR))
    
    
  
PUB SetXY(x, y)

  ' This needs to be moved to the TV_Text wrapper, placed here for compatability for existing object

  term.out($A)                                             ' set X position (X follows)
  term.out(x)
   
  term.out($B)                                             ' set Y position (Y follows)
  term.out(y)

              